summaryrefslogtreecommitdiffstats
path: root/scripts/rstrip.sh
diff options
context:
space:
mode:
authorwbx <wbx@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-04-21 08:33:23 +0000
committerwbx <wbx@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-04-21 08:33:23 +0000
commit6b3623eac2eddbbccdaec44d96bd86b1f156bb28 (patch)
treeeb4759fa2b780e48fa45be8986556b4b6c061c2b /scripts/rstrip.sh
parentafa7fb8ebe6cfd924a968c3618aa597a2fdc5ae1 (diff)
try to add with correct permissions
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@698 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'scripts/rstrip.sh')
-rwxr-xr-xscripts/rstrip.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/rstrip.sh b/scripts/rstrip.sh
new file mode 100755
index 000000000..d9d3ad21b
--- /dev/null
+++ b/scripts/rstrip.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+SELF=${0##*/}
+
+[ -z "$STRIP" ] && {
+ echo "$SELF: strip command not defined (STRIP variable not set)"
+ exit 1
+}
+
+TARGETS=$*
+
+[ -z "$TARGETS" ] && {
+ echo "$SELF: no directories / files specified"
+ echo "usage: $SELF [PATH...]"
+ exit 1
+}
+
+find $TARGETS -type f -a -exec file {} \; | \
+ sed -n -e 's/^\(.*\):.*ELF.*\(executable\|relocatable\|shared object\).*, not stripped/\1:\2/p' | \
+(
+ IFS=":"
+ while read F S; do
+ echo "$SELF: $F:$S"
+ eval "$STRIP $F"
+ done
+)